curl --request GET \
--url https://openplatform.gateapi.io/withdraw/open/institution/otc/api/bank/list \
--header 'X-GatePay-Certificate-ClientId: <x-gatepay-certificate-clientid>' \
--header 'X-GatePay-Nonce: <x-gatepay-nonce>' \
--header 'X-GatePay-On-Behalf-Of: <x-gatepay-on-behalf-of>' \
--header 'X-GatePay-Signature: <x-gatepay-signature>' \
--header 'X-GatePay-Timestamp: <x-gatepay-timestamp>'{
"code": "<string>",
"status": "<string>",
"data": [
{
"bankAccountId": "<string>",
"bankAccountName": "<string>",
"bankName": "<string>",
"countryId": 123,
"countryName": "<string>",
"address": "<string>",
"iban": "<string>",
"swift": "<string>",
"remittanceLineNumber": "<string>",
"agentBankName": "<string>",
"agentBankSwift": "<string>",
"status": 1,
"memo": "<string>"
}
]
}查询已绑定的银行账户列表。
curl --request GET \
--url https://openplatform.gateapi.io/withdraw/open/institution/otc/api/bank/list \
--header 'X-GatePay-Certificate-ClientId: <x-gatepay-certificate-clientid>' \
--header 'X-GatePay-Nonce: <x-gatepay-nonce>' \
--header 'X-GatePay-On-Behalf-Of: <x-gatepay-on-behalf-of>' \
--header 'X-GatePay-Signature: <x-gatepay-signature>' \
--header 'X-GatePay-Timestamp: <x-gatepay-timestamp>'{
"code": "<string>",
"status": "<string>",
"data": [
{
"bankAccountId": "<string>",
"bankAccountName": "<string>",
"bankName": "<string>",
"countryId": 123,
"countryName": "<string>",
"address": "<string>",
"iban": "<string>",
"swift": "<string>",
"remittanceLineNumber": "<string>",
"agentBankName": "<string>",
"agentBankSwift": "<string>",
"status": 1,
"memo": "<string>"
}
]
}Documentation Index
Fetch the complete documentation index at: https://docs.gate.com/llms.txt
Use this file to discover all available pages before exploring further.
GET /withdraw/open/institution/otc/api/bank/list 接口。完整的请求参数、响应结构与示例由上方关联的 OpenAPI 定义渲染。
X-GatePay-On-Behalf-Of。bankAccountName:银行账户名称,支持模糊查询iban:账号或 IBAN,支持模糊查询swift:SWIFT,支持模糊查询bankName:银行名称,支持模糊查询data[].countryId:国家 IDdata[].countryName:国家名称data[].address:银行地址data[].remittanceLineNumber:路由或清算代码data[].agentBankName:代理银行名称data[].agentBankSwift:代理银行 SWIFTdata[].status:银行账户审核状态。1 表示通过,2 表示待审核,3 表示待补充材料,99 表示拒绝data[].memo:备注。由运营人员操作时填写,通常用于审核拒绝时返回失败原因用于标识调用应用的商户应用 ClientId。
按 GatePay 签名规则生成的 HMAC 签名。
用于防重放和验签的 Unix 时间戳。
与时间戳配合使用的随机串,用于防止重放攻击。
必填代理归属请求头。请填写本次请求的发起方账户 ID;在机构代理商户 API 中通常填写目标子账户 ID,在机构代扣与划转接口中可填写机构账户 ID 或子账户 ID。